Skip to main content
GET
/
v1
/
bulk_actions
/
{id}
Retrieve
curl --request GET \
  --url https://{defaultHost}/v1/bulk_actions/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{defaultHost}/v1/bulk_actions/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{defaultHost}/v1/bulk_actions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "13e0515e-7363-44f1-97b8-434601363587",
  "object": "bulk_action",
  "action_type": "delete_products",
  "record_ids": [
    "849b3eab-f0a7-445e-bb1e-8dcee6f1ff62",
    "8a06f248-2541-4171-9c7e-96e12922b353",
    "5c8dc77f-5953-4f8a-b9ce-73b3c5ae9d39",
    "a22e33ab-266e-4900-bc3f-164fb22e0dbe",
    "9f7a113c-4bc8-4bb0-aac4-59625d765888"
  ],
  "skipped_record_ids": [],
  "status": "pending",
  "created_at": 1782485807,
  "updated_at": 1782485807
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

200 - application/json

Success

id
string | null

The UUID of the specific object.

object
string

A string describing the object type returned.

action_type
string

The type of action to be performed. Possible values include:

  • delete_customers
  • delete_products
record_ids
array

The id of records to perform the bulk action on.

skipped_record_ids
array

The array of ids that are skipped due to the action not being applicable to them.

status
string

The status of the bulk action. Possible values include:

  • completed: The bulk action has been executed, possibly with some errors.
  • invalid: The bulk action contains no record_ids that support the given action.
  • pending: The bulk action is pending and not yet processed.
  • processing: The bulk action is currently being processed.
  • succeeded: The bulk action has succeeded with no errors for all the supporting record_ids.
created_at
integer | null

Time at which the object was created. Measured in seconds since the Unix epoch.

updated_at
integer | null

Time at which the object was last updated. Measured in seconds since the Unix epoch.